net.fortuna.ical4j.model.component

## Class CalendarComponent

- java.lang.Object
- - net.fortuna.ical4j.model.Component
  - - net.fortuna.ical4j.model.component.CalendarComponent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VAlarm, VAvailability, VEvent, VFreeBusy, VJournal, VTimeZone, VToDo, VVenue, XComponent

    public abstract class CalendarComponent
    extends Component

$Id$ Created on 26/02/2006 Base class for components that may be added to a calendar.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`protected static Validator` `EMPTY_VALIDATOR` Validator instance that does nothing.

### Fields inherited from class net.fortuna.ical4j.model.Component

`AVAILABLE, BEGIN, END, EXPERIMENTAL_PREFIX, VALARM, VAVAILABILITY, VEVENT, VFREEBUSY, VJOURNAL, VTIMEZONE, VTODO, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`CalendarComponent(String name)`
`CalendarComponent(String name, PropertyList properties)`

### Method Summary

Methods
`protected abstract Validator` `getValidator(Method method)`
`void` `validate(Method method)` Performs method-specific ITIP validation.
`void` `validateAdd()` Deprecated.
`void` `validateCancel()` Deprecated.
`void` `validateCounter()` Deprecated.
`void` `validateDeclineCounter()` Deprecated.
`void` `validatePublish()` Deprecated.
`void` `validateRefresh()` Deprecated.
`void` `validateReply()` Deprecated.
`void` `validateRequest()` Deprecated.

### Methods inherited from class net.fortuna.ical4j.model.Component

`calculateRecurrenceSet, copy, equals, getName, getProperties, getProperties, getProperty, hashCode, toString, validate, validate, validateProperties`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY_VALIDATOR

    protected static final Validator EMPTY_VALIDATOR

Validator instance that does nothing.

### Constructor Detail

#### CalendarComponent

    public CalendarComponent(String name)

Parameters:
  `name` - component name

#### CalendarComponent

    public CalendarComponent(String name,
                     PropertyList properties)

Parameters:
  `name` - component name
  `properties` - component properties

### Method Detail

#### validate

    public final void validate(Method method)
                        throws ValidationException

Performs method-specific ITIP validation.

Parameters:
  `method` - the applicable method
Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### getValidator

    protected abstract Validator getValidator(Method method)

Parameters:
  `method` - a method to validate on
Returns:
  a validator for the specified method or null if the method is not supported

#### validatePublish

    public final void validatePublish()
                               throws ValidationException

Deprecated.
Apply validation for METHOD=PUBLISH.

Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### validateRequest

    public final void validateRequest()
                               throws ValidationException

Deprecated.
Apply validation for METHOD=REQUEST.

Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### validateReply

    public final void validateReply()
                             throws ValidationException

Deprecated.
Apply validation for METHOD=REPLY.

Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### validateAdd

    public final void validateAdd()
                           throws ValidationException

Deprecated.
Apply validation for METHOD=ADD.

Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### validateCancel

    public final void validateCancel()
                              throws ValidationException

Deprecated.
Apply validation for METHOD=CANCEL.

Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### validateRefresh

    public final void validateRefresh()
                               throws ValidationException

Deprecated.
Apply validation for METHOD=REFRESH.

Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### validateCounter

    public final void validateCounter()
                               throws ValidationException

Deprecated.
Apply validation for METHOD=COUNTER.

Throws:
  `ValidationException` - where the component does not comply with RFC2446

#### validateDeclineCounter

    public final void validateDeclineCounter()
                                      throws ValidationException

Deprecated.
Apply validation for METHOD=DECLINE-COUNTER.

Throws:
  `ValidationException` - where the component does not comply with RFC2446